Bug 470323 - System statistics lists all slots available
System statistics lists all slots available
Status: CLOSED ERRATA
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: cumin (Show other bugs)
1.0
All Linux
high Severity high
: 1.1
: ---
Assigned To: Ernie
Frantisek Reznicek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-06 13:01 EST by Matthew Farrellee
Modified: 2015-11-15 19:05 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-04 10:36:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
No slots in the Systems -> Statistics tab (14.81 KB, image/png)
2008-12-17 03:54 EST, Jan Sarenik
no flags Details
Grid tab slots (51.63 KB, image/png)
2008-12-17 04:11 EST, Jan Sarenik
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2009:0035 normal SHIPPED_LIVE Red Hat Enterprise MRG Messaging 1.1 Release 2009-02-04 10:33:44 EST

  None (edit)
Description Matthew Farrellee 2008-11-06 13:01:23 EST
cumin r2759

The System -> Statistics tab has a nice Slot Utilization graph. However, the graph shows not only all slots associated with the System, but all slots published to all brokers attached to the Console.
Comment 1 Ernie 2008-11-10 16:53:02 EST
[ernie] This will be fixed after the system object is implemented. This will provide a reliable way to associate a slot with a system. The current solution: associating slot.machine with system.nodeName doesn't work for all configurations.
Comment 2 William Henry 2008-11-12 18:58:07 EST
Two things:

1. Just to be explicit - It's not just the slot graphic but the information on Grid Jobs and Slots etc.  i.e. this is more like a Pool info section than a system info section.


2. It would be great to have this informaiton - i.e. the pools slot activity graphic and the grid slots list for the whole pool somewhere else in the UI :)  So can we move this sort of thing instead of the fix just getting rid of it? :)
Comment 3 Ernie 2008-12-05 09:42:26 EST
Fixed as of r2923
Comment 5 Jan Sarenik 2008-12-17 03:54:35 EST
Created attachment 327212 [details]
No slots in the Systems -> Statistics tab

I can not see any slots there, despite the following fact:

------------------------------------------------------------------
[root@north-11 ~]# condor_status
Name               OpSys      Arch   State     Activity LoadAv Mem   ActvtyTime
slot10@north-01.la LINUX      X86_64 Claimed   Busy     0.000  402  1+17:17:03
slot11@north-01.la LINUX      X86_64 Unclaimed Idle     0.000  402  0+07:10:21
slot12@north-01.la LINUX      X86_64 Unclaimed Idle     0.000  402  0+16:50:52
slot13@north-01.la LINUX      X86_64 Unclaimed Idle     0.000  402  1+17:51:09
slot14@north-01.la LINUX      X86_64 Unclaimed Idle     0.000  402  1+17:51:10
slot15@north-01.la LINUX      X86_64 Unclaimed Idle     0.000  402  1+17:51:11
slot16@north-01.la LINUX      X86_64 Unclaimed Idle     0.000  402  1+17:51:04
slot17@north-01.la LINUX      X86_64 Unclaimed Idle     0.000  402  1+17:51:05
slot18@north-01.la LINUX      X86_64 Unclaimed Idle     0.000  402  1+17:51:06
slot19@north-01.la LINUX      X86_64 Unclaimed Idle     0.000  402  1+17:51:07
slot1@north-01.lab LINUX      X86_64 Unclaimed Idle     0.040  402  0+00:07:50
slot20@north-01.la LINUX      X86_64 Claimed   Busy     0.000  402  1+16:47:01
slot2@north-01.lab LINUX      X86_64 Unclaimed Idle     0.000  402  1+17:51:06
slot3@north-01.lab LINUX      X86_64 Unclaimed Idle     0.000  402  1+17:51:07
slot4@north-01.lab LINUX      X86_64 Unclaimed Idle     0.000  402  1+17:51:08
slot5@north-01.lab LINUX      X86_64 Unclaimed Idle     0.000  402  1+17:51:09
slot6@north-01.lab LINUX      X86_64 Unclaimed Idle     0.000  402  1+17:51:10
slot7@north-01.lab LINUX      X86_64 Unclaimed Idle     0.000  402  1+17:51:11
slot8@north-01.lab LINUX      X86_64 Unclaimed Idle     0.000  402  1+17:51:04
slot9@north-01.lab LINUX      X86_64 Unclaimed Idle     0.000  402  1+17:51:05
slot10@north-02.la LINUX      X86_64 Unclaimed Idle     0.000  402  1+17:50:58
slot11@north-02.la LINUX      X86_64 Unclaimed Idle     0.000  402  1+17:50:59
slot12@north-02.la LINUX      X86_64 Unclaimed Idle     0.000  402  1+17:51:00
slot13@north-02.la LINUX      X86_64 Unclaimed Idle     0.000  402  1+17:51:01
slot14@north-02.la LINUX      X86_64 Unclaimed Idle     0.000  402  1+17:51:02
slot15@north-02.la LINUX      X86_64 Unclaimed Idle     0.000  402  1+17:51:03
slot16@north-02.la LINUX      X86_64 Unclaimed Idle     0.000  402  1+17:50:56
slot17@north-02.la LINUX      X86_64 Unclaimed Idle     0.000  402  1+17:50:57
slot18@north-02.la LINUX      X86_64 Unclaimed Idle     0.000  402  1+17:50:58
slot19@north-02.la LINUX      X86_64 Unclaimed Idle     0.000  402  1+17:50:59
slot1@north-02.lab LINUX      X86_64 Unclaimed Idle     0.000  402  0+01:50:04
slot20@north-02.la LINUX      X86_64 Unclaimed Idle     0.000  402  1+17:51:00
slot2@north-02.lab LINUX      X86_64 Unclaimed Idle     0.000  402  1+17:50:58
slot3@north-02.lab LINUX      X86_64 Unclaimed Idle     0.000  402  1+17:50:59
slot4@north-02.lab LINUX      X86_64 Unclaimed Idle     0.000  402  1+17:51:00
slot5@north-02.lab LINUX      X86_64 Unclaimed Idle     0.000  402  1+17:51:01
slot6@north-02.lab LINUX      X86_64 Unclaimed Idle     0.000  402  1+17:51:02
slot7@north-02.lab LINUX      X86_64 Unclaimed Idle     0.000  402  1+17:51:03
slot8@north-02.lab LINUX      X86_64 Unclaimed Idle     0.000  402  1+17:50:56
slot9@north-02.lab LINUX      X86_64 Unclaimed Idle     0.000  402  1+17:50:57
slot1@north-11.lab LINUX      X86_64 Unclaimed Idle     0.140  2013  0+01:50:04
slot2@north-11.lab LINUX      X86_64 Unclaimed Idle     0.000  2013  1+17:51:00
slot3@north-11.lab LINUX      X86_64 Unclaimed Idle     0.000  2013  1+17:51:01
slot4@north-11.lab LINUX      X86_64 Unclaimed Idle     0.000  2013  1+17:51:02
                     Total Owner Claimed Unclaimed Matched Preempting Backfill
        X86_64/LINUX    44     0       2        42       0     0        0
               Total    44     0       2        42       0     0        0
------------------------------------------------------------------
Comment 6 Jan Sarenik 2008-12-17 04:07:20 EST
Is it the expected behaviour to not have slots in particular system's
statistics?
Comment 7 Jan Sarenik 2008-12-17 04:11:44 EST
Created attachment 327217 [details]
Grid tab slots

On the other hand, slots (the boxes) in Grid tab seem reasonable
Comment 8 Jan Sarenik 2008-12-17 10:38:26 EST
After a discussion with Mathew Farrellee, we found out that
the Cumin is actually fixed in this regard - it is showing
all the slots which are published by Condor, but there is bug
wich makes Condor stop publishing the slots.

After restarting Condor on north-02, I can see all the slots,
so I verify that the code in Cumin is working. Just the slots
need to be advertised (published).
Comment 10 errata-xmlrpc 2009-02-04 10:36:03 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-0035.html

Note You need to log in before you can comment on or make changes to this bug.